Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component.behavior
Class AjaxBehavior

    java.lang.Object
      javax.faces.component.behavior.BehaviorBase
          javax.faces.component.behavior.ClientBehaviorBase
              org.ajax4jsf.component.behavior.ClientBehavior
                  org.ajax4jsf.component.behavior.AjaxBehavior

All Implemented Interfaces:
  javax.faces.component.behavior.Behavior, javax.faces.component.behavior.ClientBehavior, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, AjaxClientBehavior

    public class AjaxBehavior

extends ClientBehavior
implements AjaxClientBehavior

Author:
  Anton Belevich

Field Summary
`static String` | `BEHAVIOR_ID`

Constructor Summary
`AjaxBehavior()`

Method Summary
`void` | `addAjaxBehaviorListener(javax.faces.event.AjaxBehaviorListener listener)`
`void` | `broadcast(javax.faces.event.BehaviorEvent event)`
`Object` | `getData()`
`Collection<String>` | `getExecute()`
`Set<javax.faces.component.behavior.ClientBehaviorHint>` | `getHints()`
`String` | `getOnbeforedomupdate()`
`String` | `getOnbegin()`
`String` | `getOncomplete()`
`String` | `getOnerror()`
`String` | `getOnevent()`
`String` | `getQueueId()`
`Collection<String>` | `getRender()`
`String` | `getRendererType()`
`String` | `getStatus()`
`boolean` | `isBypassUpdates()`
`boolean` | `isDisabled()`
`boolean` | `isImmediate()`
`boolean` | `isLimitRender()`
`void` | `removeAjaxBehaviorListener(javax.faces.event.AjaxBehaviorListener listener)`
`void` | `restoreState(javax.faces.context.FacesContext context, Object state)`
`Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setBypassUpdates(boolean bypassUpdates)`
`void` | `setData(Object data)`
`void` | `setDisabled(boolean disabled)`
`void` | `setExecute(Collection<String> execute)`
`void` | `setImmediate(boolean immediate)`
`void` | `setLimitRender(boolean limitRender)`
`void` | `setLiteralAttribute(String name, Object value)`
`void` | `setOnbeforedomupdate(String onbeforedomupdate)`
`void` | `setOnbegin(String onbegin)`
`void` | `setOncomplete(String oncomplete)`
`void` | `setOnerror(String onerror)`
`void` | `setOnevent(String onevent)`
`void` | `setQueueId(String queueId)`
`void` | `setRender(Collection<String> render)`
`void` | `setStatus(String status)`

Methods inherited from class org.ajax4jsf.component.behavior.ClientBehavior
`compare, getFacesContext, getStateHelper, getValueExpression, setLiteralValue, setValueExpression`

Methods inherited from class javax.faces.component.behavior.ClientBehaviorBase
`decode, getRenderer, getScript`

Methods inherited from class javax.faces.component.behavior.BehaviorBase
`addBehaviorListener, clearInitialState, initialStateMarked, isTransient, markInitialState, removeBehaviorListener, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehavior
`decode, getScript`

Field Detail

### BEHAVIOR_ID

    public static final String BEHAVIOR_ID

See Also:
  Constant Field Values

Constructor Detail

### AjaxBehavior

    public AjaxBehavior()

Method Detail

### setLiteralAttribute

    public void setLiteralAttribute(String name,
                                    Object value)

  Specified by:
    `setLiteralAttribute` in class `ClientBehavior`

### getData

    public Object getData()

  Specified by:
    `getData` in interface `AjaxClientBehavior`

### setData

    public void setData(Object data)

  Specified by:
    `setData` in interface `AjaxClientBehavior`

### getExecute

    public Collection<String> getExecute()

  Specified by:
    `getExecute` in interface `AjaxClientBehavior`

### setExecute

    public void setExecute(Collection<String> execute)

  Specified by:
    `setExecute` in interface `AjaxClientBehavior`

### getOnbeforedomupdate

    public String getOnbeforedomupdate()

  Specified by:
    `getOnbeforedomupdate` in interface `AjaxClientBehavior`

### setOnbeforedomupdate

    public void setOnbeforedomupdate(String onbeforedomupdate)

  Specified by:
    `setOnbeforedomupdate` in interface `AjaxClientBehavior`

### getOnbegin

    public String getOnbegin()

  Specified by:
    `getOnbegin` in interface `AjaxClientBehavior`

### setOnbegin

    public void setOnbegin(String onbegin)

  Specified by:
    `setOnbegin` in interface `AjaxClientBehavior`

### getOncomplete

    public String getOncomplete()

  Specified by:
    `getOncomplete` in interface `AjaxClientBehavior`

### setOncomplete

    public void setOncomplete(String oncomplete)

  Specified by:
    `setOncomplete` in interface `AjaxClientBehavior`

### getOnerror

    public String getOnerror()

  Specified by:
    `getOnerror` in interface `AjaxClientBehavior`

### setOnerror

    public void setOnerror(String onerror)

  Specified by:
    `setOnerror` in interface `AjaxClientBehavior`

### getOnevent

    public String getOnevent()

  Specified by:
    `getOnevent` in interface `AjaxClientBehavior`

### setOnevent

    public void setOnevent(String onevent)

  Specified by:
    `setOnevent` in interface `AjaxClientBehavior`

### getQueueId

    public String getQueueId()

  Specified by:
    `getQueueId` in interface `AjaxClientBehavior`

### setQueueId

    public void setQueueId(String queueId)

  Specified by:
    `setQueueId` in interface `AjaxClientBehavior`

### getRender

    public Collection<String> getRender()

  Specified by:
    `getRender` in interface `AjaxClientBehavior`

### setRender

    public void setRender(Collection<String> render)

  Specified by:
    `setRender` in interface `AjaxClientBehavior`

### getStatus

    public String getStatus()

  Specified by:
    `getStatus` in interface `AjaxClientBehavior`

### setStatus

    public void setStatus(String status)

  Specified by:
    `setStatus` in interface `AjaxClientBehavior`

### isDisabled

    public boolean isDisabled()

  Specified by:
    `isDisabled` in interface `AjaxClientBehavior`

### setDisabled

    public void setDisabled(boolean disabled)

  Specified by:
    `setDisabled` in interface `AjaxClientBehavior`

### isLimitRender

    public boolean isLimitRender()

  Specified by:
    `isLimitRender` in interface `AjaxClientBehavior`

### setLimitRender

    public void setLimitRender(boolean limitRender)

  Specified by:
    `setLimitRender` in interface `AjaxClientBehavior`

### isImmediate

    public boolean isImmediate()

### setImmediate

    public void setImmediate(boolean immediate)

### isBypassUpdates

    public boolean isBypassUpdates()

### setBypassUpdates

    public void setBypassUpdates(boolean bypassUpdates)

### getRendererType

    public String getRendererType()

  Overrides:
    `getRendererType` in class `javax.faces.component.behavior.ClientBehaviorBase`

### getHints

    public Set<javax.faces.component.behavior.ClientBehaviorHint> getHints()

  Specified by:
    `getHints` in interface `javax.faces.component.behavior.ClientBehavior`
  Overrides:
    `getHints` in class `javax.faces.component.behavior.ClientBehaviorBase`

### addAjaxBehaviorListener

    public void addAjaxBehaviorListener(javax.faces.event.AjaxBehaviorListener listener)

  Specified by:
    `addAjaxBehaviorListener` in interface `AjaxClientBehavior`

### removeAjaxBehaviorListener

    public void removeAjaxBehaviorListener(javax.faces.event.AjaxBehaviorListener listener)

  Specified by:
    `removeAjaxBehaviorListener` in interface `AjaxClientBehavior`

### broadcast

    public void broadcast(javax.faces.event.BehaviorEvent event)
                   throws javax.faces.event.AbortProcessingException

  Specified by:
    `broadcast` in interface `javax.faces.component.behavior.Behavior`
  Overrides:
    `broadcast` in class `javax.faces.component.behavior.BehaviorBase`
  Throws:
    `javax.faces.event.AbortProcessingException`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `ClientBehavior`

### saveState

    public Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `ClientBehavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.